#include <iostream>
#include <cmath>
#include <list>
#include <vector>
#include <algorithm>
#include <bitset>
#include <string>
#include <set>
#include <map>
#include <queue>
#define ll int64_t
#define int int64_t
#define VI vector<ll>
#define rep(i,a,b) for (int i=a;i<=b;i++)
#define per(i,a,b) for (int i=a;i>=b;i--)
#define load(a) for (auto& x : a) cin >> x
#define unload(a) for(auto x: a) cout << x << " "

using namespace std;
const int N = 2e5+20; ll A[N], n;

void solve(){
    ll l;
    cin >> n >> l;
    bool found = false;
    ll ans = -1;
    rep(i,1,n){
        ll x; cin >> x;
        if(!found){
            if(l >= x){
                ans = i;
                found = true;
            }
        }
    }
    cout << ans << endl;
    return;
}

int32_t main() {
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    solve();
    return 0;
}